# openttd.h File Reference

Some generic types. More...

Go to the source code of this file.

## Enumerations

enum | GameModes { GM_MENU, GM_NORMAL, GM_EDITOR }
enum | SwitchModes { SM_NONE = 0, SM_NEWGAME = 1, SM_EDITOR = 2, SM_LOAD = 3, SM_MENU = 4, SM_SAVE = 5, SM_GENRANDLAND = 6, SM_LOAD_SCENARIO = 9, SM_START_SCENARIO = 10, SM_START_HEIGHTMAP = 11, SM_LOAD_HEIGHTMAP = 12 }
enum | { DO_SHOW_TOWN_NAMES = 0, DO_SHOW_STATION_NAMES = 1, DO_SHOW_SIGNS = 2, DO_FULL_ANIMATION = 3, DO_FULL_DETAIL = 5, DO_WAYPOINTS = 6 }

## Variables

byte | _game_mode
bool | _exit_game
int8 | _pause_game

## Detailed Description

Some generic types.

Definition in file openttd.h.